<?php
// +----------------------------------------------------------------------
// | 控制台
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

// 验证安装
require_once __DIR__.DIRECTORY_SEPARATOR.'vendor'.DIRECTORY_SEPARATOR.'is_install.php';
// 验证登录
require_once __DIR__.DIRECTORY_SEPARATOR.'vendor'.DIRECTORY_SEPARATOR.'is_login.php';
require_once __DIR__.DIRECTORY_SEPARATOR.'vendor'.DIRECTORY_SEPARATOR.'Sql.php';
require_once __DIR__.DIRECTORY_SEPARATOR.'vendor'.DIRECTORY_SEPARATOR.'Db.php';

$obj = new Sql();
$Db = new Db();
$start = time();

$mysql = 0;
$php = 0;
$network_entrance = 0;
$network_exitus = 0;

$table_mysql = 'mysql_'.date('Ym', time());
$table_php = 'php_'.date('Ym', time());
$table_network_entrance = 'network_entrance_'.date('Ym', time());
$table_network_exitus = 'network_exitus_'.date('Ym', time());

$sql = $obj->name($table_mysql)->whereTime('create_time', 'today')->order('num DESC')->limit(1)->select();
$list = select($Db, $sql);
if ($list) {
    foreach ($list as $v) {
        $mysql = $v['num'];
    }
}

$sql = $obj->name($table_php)->whereTime('create_time', 'today')->order('num DESC')->limit(1)->select();
$list = select($Db, $sql);
if ($list) {
    foreach ($list as $v) {
        $php = $v['num'];
    }
}

$sql = $obj->name($table_network_entrance)->whereTime('create_time', 'today')->order('num DESC')->limit(1)->select();
$list = select($Db, $sql);
if ($list) {
    foreach ($list as $v) {
        $network_entrance = $v['num'];
    }
}

$sql = $obj->name($table_network_exitus)->whereTime('create_time', 'today')->order('num DESC')->limit(1)->select();
$list = select($Db, $sql);
if ($list) {
    foreach ($list as $v) {
        $exitus = $v['num'];
    }
}

$sql = $obj->name('network')->order('id ASC')->select();
$list = select($Db, $sql);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>小黄牛监控系统</title>
  <link rel="stylesheet" href="public/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="public/css/index.css" />
</head>

<body>
  <header>
    <div style="float: left;font-size: 20px;margin: 20px;">
      <a href="out.php" style="color: #b7aba6;text-decoration: none;float: left;">退出</a>
      <a onclick="start();" style="color: #b7aba6;text-decoration: none;float: left;margin-left: 20px;cursor: pointer;">启动监控</a>
      <a onclick="stop();" style="color: #b7aba6;text-decoration: none;float: left;margin-left: 20px;cursor: pointer;">停止监控</a>
      <a href="rule.php" target="_blank" style="color: #b7aba6;text-decoration: none;float: left;margin-left: 20px;cursor: pointer;">警告线</a>
    </div>
    <h1> 小黄牛监控 - 控制台</h1>
    <div class="showTime">当前时间：<span></span></div>
  </header>
  <section class="mainbox">
    
    <div class="column">
      <div class="no">
        <div class="no-hd">
          <ul>
            <li><?php echo $mysql;?></li>
            <li><?php echo $php;?></li>
          </ul>
        </div>
        <div class="no-bd">
          <ul>
            <li>MySql 今日峰值</li>
            <li>PHP 今日峰值</li>
          </ul>
        </div>
      </div>
      <div class="no">
        <div class="no-hd">
          <ul>
            <li><?php echo $network_exitus;?></li>
            <li><?php echo $network_entrance;?></li>
          </ul>
        </div>
        <div class="no-bd">
          <ul>
            <li>出口流量 今日峰值(KB)</li>
            <li>入口流量 今日峰值(KB)</li>
          </ul>
        </div>
      </div>
      <div class="map">
        <div class="map1"></div>
        <div class="map2"></div>
        <div class="map3"></div>
      </div>
    </div>
    <div class="column">

      <div class="panel line1">
        <h2>MySql 连接数 
          <input type="text" id="line1_start" style="float: right;margin-top: 20px;position: absolute;right: 245px; width: 120px;font-size: 12px;" placeholder="开始时间">
          <input type="text" id="line1_end" style="float: right;margin-top: 20px;position: absolute;right: 125px; width: 120px;font-size: 12px;" placeholder="结束时间">
          <select id="line1" style="float: right;margin-top: 20px;position: absolute;right: 25px;font-size: 12px;">
            <option value="1">最近1分钟</option>
            <option value="2">最近5分钟</option>
            <option value="3">最近15分钟</option>
            <option value="4">最近30分钟</option>
            <option value="5">最近1小时</option>
            <option value="6">最近3小时</option>
            <option value="7">最近6小时</option>
            <option value="8">最近12小时</option>
            <option value="9">最近一天</option>
            <option value="10">最近一周</option>
            <option value="11">最近一个月</option>
          </select>
        </h2>
        <div class="chart"></div>
        <div class="panel-footer"></div>
      </div>
      <div class="panel line2">
        <h2>
          PHP-FPM 进程
          <input type="text" id="line2_start" style="float: right;margin-top: 20px;position: absolute;right: 245px; width: 120px;font-size: 12px;" placeholder="开始时间">
          <input type="text" id="line2_end" style="float: right;margin-top: 20px;position: absolute;right: 125px; width: 120px;font-size: 12px;" placeholder="结束时间">
          <select id="line2" style="float: right;margin-top: 20px;position: absolute;right: 25px;font-size: 12px;">
            <option value="1">最近1分钟</option>
            <option value="2">最近5分钟</option>
            <option value="3">最近15分钟</option>
            <option value="4">最近30分钟</option>
            <option value="5">最近1小时</option>
            <option value="6">最近3小时</option>
            <option value="7">最近6小时</option>
            <option value="8">最近12小时</option>
            <option value="9">最近一天</option>
            <option value="10">最近一周</option>
            <option value="11">最近一个月</option>
          </select>
        </h2>
        <div class="chart"></div>
        <div class="panel-footer"></div>
      </div>
      <div class="panel line3">
        <h2>
          出口流量
          
          <input type="text" id="line3_start" style="float: right;margin-top: 20px;position: absolute;right: 305px; width: 120px;font-size: 12px;" placeholder="开始时间">
          <input type="text" id="line3_end" style="float: right;margin-top: 20px;position: absolute;right: 185px; width: 120px;font-size: 12px;" placeholder="结束时间">

          <select id="line3_2" style="float: right;margin-top: 20px;position: absolute;right: 125px;font-size: 12px;">
          <?php foreach ($list as $v) { ?>
            <option value="<?php echo $v['id'];?>"><?php echo $v['name'];?></option>
          <?php } ?>
          </select>
          <select id="line3" style="float: right;margin-top: 20px;position: absolute;right: 25px;font-size: 12px;">
            <option value="1">最近1分钟</option>
            <option value="2">最近5分钟</option>
            <option value="3">最近15分钟</option>
            <option value="4">最近30分钟</option>
            <option value="5">最近1小时</option>
            <option value="6">最近3小时</option>
            <option value="7">最近6小时</option>
            <option value="8">最近12小时</option>
            <option value="9">最近一天</option>
            <option value="10">最近一周</option>
            <option value="11">最近一个月</option>
          </select>
        </h2>
        <div class="chart"></div>
        <div class="panel-footer"></div>
      </div>
      <div class="panel line4">
        <h2>
          入口流量

          <input type="text" id="line4_start" style="float: right;margin-top: 20px;position: absolute;right: 305px; width: 120px;font-size: 12px;" placeholder="开始时间">
          <input type="text" id="line4_end" style="float: right;margin-top: 20px;position: absolute;right: 185px; width: 120px;font-size: 12px;" placeholder="结束时间">

          <select id="line4_2" style="float: right;margin-top: 20px;position: absolute;right: 125px;font-size: 12px;">
          <?php foreach ($list as $v) { ?>
            <option value="<?php echo $v['id'];?>"><?php echo $v['name'];?></option>
          <?php } ?>
          </select>
          <select id="line4" style="float: right;margin-top: 20px;position: absolute;right: 25px;font-size: 12px;">
            <option value="1">最近1分钟</option>
            <option value="2">最近5分钟</option>
            <option value="3">最近15分钟</option>
            <option value="4">最近30分钟</option>
            <option value="5">最近1小时</option>
            <option value="6">最近3小时</option>
            <option value="7">最近6小时</option>
            <option value="8">最近12小时</option>
            <option value="9">最近一天</option>
            <option value="10">最近一周</option>
            <option value="11">最近一个月</option>
          </select>
        </h2>
        <div class="chart"></div>
        <div class="panel-footer"></div>
      </div>

    </div>
  </section>
<script src="public/layui/layui.js"></script>
<script src="public/jquery.min.js"></script>
<script src="public/js/flexible.js"></script>
<script src="public/js/echarts.4.2.1.min.js"></script>

<script>
layui.use('laydate', function(){
  var laydate = layui.laydate;
  
  laydate.render({
    elem: '#line1_start'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line1($('#line1').val(), value, $('#line1_end').val());
    }
  });
  laydate.render({
    elem: '#line1_end'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line1($('#line1').val(), $('#line1_start').val(), value);
    }
  });

  laydate.render({
    elem: '#line2_start'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line1($('#line2').val(), value, $('#line2_end').val());
    }
  });
  laydate.render({
    elem: '#line2_end'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line1($('#line2').val(), $('#line2_start').val(), value);
    }
  });

  laydate.render({
    elem: '#line3_start'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line3($('#line3').val(), $('#line3_2').val(), value, $('#line3_end').val());
    }
  });
  laydate.render({
    elem: '#line3_end'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line3($('#line3').val(), $('#line3_2').val(), $('#line3_start').val(), value);
    }
  });

  laydate.render({
    elem: '#line4_start'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line4($('#line4').val(), $('#line4_2').val(), value, $('#line4_end').val());
    }
  });
  laydate.render({
    elem: '#line4_end'
    ,type: 'datetime'
    ,done: function(value, date, endDate){
      line4($('#line4').val(), $('#line4_2').val(), $('#line4_start').val(), value);
    }
  });
});

function start() {
  $.ajax({
    type: 'post',
    data: {},
    url: "php/start.php",
    timeout : 5000, //超时时间设置，单位毫秒
    success: function(data) {
      console.log(data);
      // var array = eval('('+data+')');
      // alert(array['msg']);
    }
  });
  alert('启动成功');
}
function stop() {
  $.ajax({
    type: 'post',
    data: {},
    url: "php/stop.php",
    success: function(data) {
      var array = eval('('+data+')');
      alert(array['msg']);
    }
  });
}

// 第一个
line1($('#line1').val(), $('#line1_start').val(), $('#line1_end').val());
$('#line1').change(function(){line1($(this).val(), '', '');})
function line1(type,start,end) {
  $.ajax({
    type: 'post',
    data: {
        'type':type,
        'start':start,
        'end':end
    },
    url: "php/mysql.php",
    success: function(data) {
      var array = eval('('+data+')');
      var data = array['data'];
      if (array['code'] != '00') {
        alert(array['msg']);
      } else {
        var myChart = echarts.init(document.querySelector(".line1 .chart"));
        option = {
            tooltip: {trigger: "axis",axisPointer: {lineStyle: {color: "#dddc6b"}}},
            legend: {top: "0%",textStyle: {color: "rgba(255,255,255,.5)",fontSize: "12"}},
            grid: {left: "10",top: "30",right: "10",bottom: "10",containLabel: true},
            xAxis: [
                {
                    type: "category",
                    boundaryGap: false,
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.2)"}},
                    data: data['date']
                },
                {axisPointer: { show: false },axisLine: { show: false },position: "bottom",offset: 20}
            ],

            yAxis: [
                {
                    type: "value",
                    axisTick: { show: false },
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.1)"}},
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    splitLine: {lineStyle: {color: "rgba(255,255,255,.1)"}}
                }
            ],
            series: [
                {
                    name: "当前时段",
                    type: "line",
                    smooth: true,
                    symbol: "circle",
                    symbolSize: 5,
                    showSymbol: false,
                    lineStyle: {normal: {color: "#0184d5",width: 2}},
                    areaStyle: {
                        normal: {
                        color: new echarts.graphic.LinearGradient(
                            0,
                            0,
                            0,
                            1,
                            [
                            {
                                offset: 0,
                                color: "rgba(1, 132, 213, 0.4)"
                            },
                            {
                                offset: 0.8,
                                color: "rgba(1, 132, 213, 0.1)"
                            }
                            ],
                            false
                        ),
                        shadowColor: "rgba(0, 0, 0, 0.1)"
                        }
                    },
                    itemStyle: {normal: {color: "#0184d5",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
                    data: data['list1']
                },
            {
            name: "上一时段",
            type: "line",
            smooth: true,
            symbol: "circle",
            symbolSize: 5,
            showSymbol: false,
            lineStyle: {normal: {color: "#00d887",width: 2}},
            areaStyle: {
                normal: {
                color: new echarts.graphic.LinearGradient(
                    0,
                    0,
                    0,
                    1,
                    [
                    {
                        offset: 0,
                        color: "rgba(0, 216, 135, 0.4)"
                    },
                    {
                        offset: 0.8,
                        color: "rgba(0, 216, 135, 0.1)"
                    }
                    ],
                    false
                ),
                shadowColor: "rgba(0, 0, 0, 0.1)"
                }
            },
            itemStyle: {normal: {color: "#00d887",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
            data: data['list2']
            }
        ]
        };

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
        window.addEventListener("resize", function () {
          myChart.resize();
        });
      }
    }
  });
}

// 第2个
line2($('#line2').val(), $('#line2_start').val(), $('#line2_end').val());
$('#line2').change(function(){line2($(this).val(), '', '');})
function line2(type,start,end) {
  $.ajax({
    type: 'post',
    data: {
        'type':type,
        'start':start,
        'end':end
    },
    url: "php/php.php",
    success: function(data) {
      var array = eval('('+data+')');
      var data = array['data'];
      if (array['code'] != '00') {
        alert(array['msg']);
      } else {
        var myChart = echarts.init(document.querySelector(".line2 .chart"));
        option = {
            tooltip: {trigger: "axis",axisPointer: {lineStyle: {color: "#dddc6b"}}},
            legend: {top: "0%",textStyle: {color: "rgba(255,255,255,.5)",fontSize: "12"}},
            grid: {left: "10",top: "30",right: "10",bottom: "10",containLabel: true},
            xAxis: [
                {
                    type: "category",
                    boundaryGap: false,
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.2)"}},
                    data: data['date']
                },
                {axisPointer: { show: false },axisLine: { show: false },position: "bottom",offset: 20}
            ],

            yAxis: [
                {
                    type: "value",
                    axisTick: { show: false },
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.1)"}},
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    splitLine: {lineStyle: {color: "rgba(255,255,255,.1)"}}
                }
            ],
            series: [
                {
                    name: "当前时段",
                    type: "line",
                    smooth: true,
                    symbol: "circle",
                    symbolSize: 5,
                    showSymbol: false,
                    lineStyle: {normal: {color: "#0184d5",width: 2}},
                    areaStyle: {
                        normal: {
                        color: new echarts.graphic.LinearGradient(
                            0,
                            0,
                            0,
                            1,
                            [
                            {
                                offset: 0,
                                color: "rgba(1, 132, 213, 0.4)"
                            },
                            {
                                offset: 0.8,
                                color: "rgba(1, 132, 213, 0.1)"
                            }
                            ],
                            false
                        ),
                        shadowColor: "rgba(0, 0, 0, 0.1)"
                        }
                    },
                    itemStyle: {normal: {color: "#0184d5",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
                    data: data['list1']
                },
            {
            name: "上一时段",
            type: "line",
            smooth: true,
            symbol: "circle",
            symbolSize: 5,
            showSymbol: false,
            lineStyle: {normal: {color: "#00d887",width: 2}},
            areaStyle: {
                normal: {
                color: new echarts.graphic.LinearGradient(
                    0,
                    0,
                    0,
                    1,
                    [
                    {
                        offset: 0,
                        color: "rgba(0, 216, 135, 0.4)"
                    },
                    {
                        offset: 0.8,
                        color: "rgba(0, 216, 135, 0.1)"
                    }
                    ],
                    false
                ),
                shadowColor: "rgba(0, 0, 0, 0.1)"
                }
            },
            itemStyle: {normal: {color: "#00d887",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
            data: data['list2']
            }
        ]
        };

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
        window.addEventListener("resize", function () {
          myChart.resize();
        });
      }
    }
  });
}

// 第3个
line3(1, $('#line3_2').val(), $('#line3_start').val(), $('#line3_end').val());
$('#line3').change(function(){line3($(this).val(), $('#line3_2').val(), '', '');})
$('#line3_2').change(function(){line3($('#line3').val(), $(this).val(), '', '');})
function line3(type, pid,start,end) {
  $.ajax({
    type: 'post',
    data: {
        'type':type,
        'pid':pid,
        'start':start,
        'end':end
    },
    url: "php/network_exitus.php",
    success: function(data) {
      var array = eval('('+data+')');
      var data = array['data'];
      if (array['code'] != '00') {
        alert(array['msg']);
      } else {
        var myChart = echarts.init(document.querySelector(".line3 .chart"));
        option = {
            tooltip: {trigger: "axis",axisPointer: {lineStyle: {color: "#dddc6b"}}},
            legend: {top: "0%",textStyle: {color: "rgba(255,255,255,.5)",fontSize: "12"}},
            grid: {left: "10",top: "30",right: "10",bottom: "10",containLabel: true},
            xAxis: [
                {
                    type: "category",
                    boundaryGap: false,
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.2)"}},
                    data: data['date']
                },
                {axisPointer: { show: false },axisLine: { show: false },position: "bottom",offset: 20}
            ],

            yAxis: [
                {
                    type: "value",
                    axisTick: { show: false },
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.1)"}},
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    splitLine: {lineStyle: {color: "rgba(255,255,255,.1)"}}
                }
            ],
            series: [
                {
                    name: "当前时段",
                    type: "line",
                    smooth: true,
                    symbol: "circle",
                    symbolSize: 5,
                    showSymbol: false,
                    lineStyle: {normal: {color: "#0184d5",width: 2}},
                    areaStyle: {
                        normal: {
                        color: new echarts.graphic.LinearGradient(
                            0,
                            0,
                            0,
                            1,
                            [
                            {
                                offset: 0,
                                color: "rgba(1, 132, 213, 0.4)"
                            },
                            {
                                offset: 0.8,
                                color: "rgba(1, 132, 213, 0.1)"
                            }
                            ],
                            false
                        ),
                        shadowColor: "rgba(0, 0, 0, 0.1)"
                        }
                    },
                    itemStyle: {normal: {color: "#0184d5",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
                    data: data['list1']
                },
            {
            name: "上一时段",
            type: "line",
            smooth: true,
            symbol: "circle",
            symbolSize: 5,
            showSymbol: false,
            lineStyle: {normal: {color: "#00d887",width: 2}},
            areaStyle: {
                normal: {
                color: new echarts.graphic.LinearGradient(
                    0,
                    0,
                    0,
                    1,
                    [
                    {
                        offset: 0,
                        color: "rgba(0, 216, 135, 0.4)"
                    },
                    {
                        offset: 0.8,
                        color: "rgba(0, 216, 135, 0.1)"
                    }
                    ],
                    false
                ),
                shadowColor: "rgba(0, 0, 0, 0.1)"
                }
            },
            itemStyle: {normal: {color: "#00d887",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
            data: data['list2']
            }
        ]
        };

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
        window.addEventListener("resize", function () {
          myChart.resize();
        });
      }
    }
  });
}

// 第4个
line4(1, $('#line4_2').val(), $('#line4_start').val(), $('#line4_end').val());
$('#line4').change(function(){line4($(this).val(), $('#line4_2').val(), '', '');})
$('#line4_2').change(function(){line4($('#line4').val(), $(this).val(), '', '');})
function line4(type, pid,start,end) {
  $.ajax({
    type: 'post',
    data: {
        'type':type,
        'pid':pid,
        'start':start,
        'end':end
    },
    url: "php/network_entrance.php",
    success: function(data) {
      var array = eval('('+data+')');
      var data = array['data'];
      if (array['code'] != '00') {
        alert(array['msg']);
      } else {
        var myChart = echarts.init(document.querySelector(".line4 .chart"));
        option = {
            tooltip: {trigger: "axis",axisPointer: {lineStyle: {color: "#dddc6b"}}},
            legend: {top: "0%",textStyle: {color: "rgba(255,255,255,.5)",fontSize: "12"}},
            grid: {left: "10",top: "30",right: "10",bottom: "10",containLabel: true},
            xAxis: [
                {
                    type: "category",
                    boundaryGap: false,
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.2)"}},
                    data: data['date']
                },
                {axisPointer: { show: false },axisLine: { show: false },position: "bottom",offset: 20}
            ],

            yAxis: [
                {
                    type: "value",
                    axisTick: { show: false },
                    axisLine: {lineStyle: {color: "rgba(255,255,255,.1)"}},
                    axisLabel: {textStyle: {color: "rgba(255,255,255,.6)",fontSize: 12}},
                    splitLine: {lineStyle: {color: "rgba(255,255,255,.1)"}}
                }
            ],
            series: [
                {
                    name: "当前时段",
                    type: "line",
                    smooth: true,
                    symbol: "circle",
                    symbolSize: 5,
                    showSymbol: false,
                    lineStyle: {normal: {color: "#0184d5",width: 2}},
                    areaStyle: {
                        normal: {
                        color: new echarts.graphic.LinearGradient(
                            0,
                            0,
                            0,
                            1,
                            [
                            {
                                offset: 0,
                                color: "rgba(1, 132, 213, 0.4)"
                            },
                            {
                                offset: 0.8,
                                color: "rgba(1, 132, 213, 0.1)"
                            }
                            ],
                            false
                        ),
                        shadowColor: "rgba(0, 0, 0, 0.1)"
                        }
                    },
                    itemStyle: {normal: {color: "#0184d5",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
                    data: data['list1']
                },
            {
            name: "上一时段",
            type: "line",
            smooth: true,
            symbol: "circle",
            symbolSize: 5,
            showSymbol: false,
            lineStyle: {normal: {color: "#00d887",width: 2}},
            areaStyle: {
                normal: {
                color: new echarts.graphic.LinearGradient(
                    0,
                    0,
                    0,
                    1,
                    [
                    {
                        offset: 0,
                        color: "rgba(0, 216, 135, 0.4)"
                    },
                    {
                        offset: 0.8,
                        color: "rgba(0, 216, 135, 0.1)"
                    }
                    ],
                    false
                ),
                shadowColor: "rgba(0, 0, 0, 0.1)"
                }
            },
            itemStyle: {normal: {color: "#00d887",borderColor: "rgba(221, 220, 107, .1)",borderWidth: 12}},
            data: data['list2']
            }
        ]
        };

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
        window.addEventListener("resize", function () {
          myChart.resize();
        });
      }
    }
  });
}
setInterval(function(){
  line1($('#line1').val(), $('#line1_start').val(), $('#line1_end').val());
  line2($('#line2').val(), $('#line2_start').val(), $('#line2_end').val());
  line3($('#line3').val(), $('#line3_2').val(), $('#line3_start').val(), $('#line3_end').val());
  line4($('#line4').val(), $('#line4_2').val(), $('#line4_start').val(), $('#line4_end').val());
}, 5000);
</script>


</body>
</html>
<script>
(function (fn) {
    fn();
    setInterval(fn, 1000);
})(function () {
    var dt = new Date();
    document.querySelector(".showTime span").innerHTML =
    dt.getFullYear() + "年"+
    (dt.getMonth() + 1) +"月"+
    dt.getDate() + "日-" +
    dt.getHours() + "时" +
    dt.getMinutes() + "分" +
    dt.getSeconds() + "秒";
});
</script>