<?php
// +----------------------------------------------------------------------
// | 小黄牛监控系统安装程序
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

// 定义目录分隔符
define('DS', DIRECTORY_SEPARATOR);
// 定义根目录
define('ROOT_PATH', __DIR__ . DS);
// 定义应用目录
define('APP_PATH', ROOT_PATH . 'vendor' . DS);

// 判断文件或目录是否有写的权限
function is_really_writable($file){
    if (DIRECTORY_SEPARATOR == '/' AND @ ini_get("safe_mode") == FALSE) {
        return is_writable($file);
    }
    if (!is_file($file) OR ($fp = @fopen($file, "r+")) === FALSE) {
        return FALSE;
    }

    fclose($fp);
    return TRUE;
}

$sitename = "小黄牛实时监控";
$link = array(
    'qqun'  => "tencent://message/?uin=1731223728&Site=在线QQ&Menu=yes",
    'forum' => 'https://blog.junphp.com',
);

//错误信息
$errInfo = '';
//数据库配置文件
$dbConfigFile = ROOT_PATH.'database.php';
//安装文件
$dbConfigSql = ROOT_PATH.'install.sql';
if (file_get_contents($dbConfigFile)) {
    $errInfo = "您当前已经安装{$sitename}";
} else if (version_compare(PHP_VERSION, '5.3.0', '<')) {
    $errInfo = "当前版本(" . PHP_VERSION . ")过低，请使用PHP5.3以上版本";
} else if (!extension_loaded("PDO")) {
    $errInfo = "当前未开启PDO，无法进行安装";
} else if (!file_exists($dbConfigSql)) {
    $errInfo = '当前安装包，缺少核心数据库文件';      
} else if (!function_exists('exec')) {
    $errInfo = '你已禁用 exec() 函数，请先启用';   
}

// 当前是POST请求
if (isset($_SERVER['REQUEST_METHOD']) && $_SERVER['REQUEST_METHOD'] == 'POST') {
    if (DS != '/') {
        die('只支持Linux环境下安装');
    }
    # 判断文件是否为0777权限
    if (fileperms(ROOT_PATH.'pid') != 33279) {
        die('安装文件必须设置为0777权限：'.ROOT_PATH.'pid');
    }
    # 判断文件是否为0777权限
    if (fileperms(ROOT_PATH.'database.php') != 33279) {
        die('安装文件必须设置为0777权限：'.ROOT_PATH.'database.php');
    }
    if ($errInfo) {
        echo $errInfo;
        exit;
    }

    $err = '';
    $mysqlHostname = isset($_POST['mysqlHost']) ? $_POST['mysqlHost'] : '127.0.0.1';
    $mysqlHostport = 3306;
    $hostArr = explode(':', $mysqlHostname);
    if (count($hostArr) > 1) {
        $mysqlHostname = $hostArr[0];
        $mysqlHostport = $hostArr[1];
    }
    $mysqlUsername = isset($_POST['mysqlUsername']) ? $_POST['mysqlUsername'] : 'niuniu_monitor';
    $mysqlPassword = isset($_POST['mysqlPassword']) ? $_POST['mysqlPassword'] : 'root';
    $mysqlDatabase = isset($_POST['mysqlDatabase']) ? $_POST['mysqlDatabase'] : 'root';
    $username = isset($_POST['username']) ? $_POST['username'] : 'admin';
    $userpwd = isset($_POST['userpwd']) ? $_POST['userpwd'] : 'admin';

    try {
        //检测能否读取安装文件
        $sql = @file_get_contents($dbConfigSql);
        if (!$sql) {
            throw new Exception("无法读取{$dbConfigSql}文件，请检查是否有读权限");
        }
        $pdo = new PDO("mysql:host={$mysqlHostname};port={$mysqlHostport}", $mysqlUsername, $mysqlPassword, array(
            PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
            PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"
        ));
        //检测是否支持innodb存储引擎
        // $pdoStatement = $pdo->query("SHOW VARIABLES LIKE 'innodb_version'");
        // $result = $pdoStatement->fetch();
        // if (!$result) {
        //     throw new Exception("当前数据库不支持innodb存储引擎，请开启后再重新尝试安装");
        // }
        $pdo->query("CREATE DATABASE IF NOT EXISTS `{$mysqlDatabase}` CHARACTER SET utf8 COLLATE utf8_general_ci;");
        $pdo->query("USE `{$mysqlDatabase}`");
        $pdo->exec($sql);
        
$config = "<?php
return array(
    // 数据库类型
    'type'            => 'mysql',
    // 服务器地址
    'hostname'        => '".$mysqlHostname."',
    // 数据库名
    'database'        => '".$mysqlDatabase."',
    // 用户名
    'username'        => '".$mysqlUsername."',
    // 密码
    'password'        => '".$mysqlPassword."',
    // 端口
    'hostport'        => '".$mysqlHostport."',
    // 数据库编码默认采用utf8
    'charset'         => 'utf8',
    // 登录账号
    'username2'       => '".$username."',
    // 登录密码
    'userpwd'         => '".$userpwd."',
);";
        //检测能否成功写入数据库配置
        $myfile = fopen($dbConfigFile, "w") or die("无法写入数据库信息到文件，请检查是否有写权限");
        fwrite($myfile, $config);
        fclose($myfile);
        @unlink($dbConfigSql);

        // 抓取网卡
        $shell = "sar -n DEV 1 1";
        exec($shell, $opt, $return_val);
        $num = 0;
        foreach ($opt as $v) {
            if (empty($v)) {
                $num++;
                continue;
            }
            if ($num == 2) {
                $num++;
                continue;
            }
            if ($num == 3) {
                $v = preg_replace("/\s(?=\s)/","\\1",$v);
                $arr = explode(' ', $v);
                $network = $arr[1];
                
                require_once APP_PATH.'Sql.php';
                require_once APP_PATH.'Db.php';
                $obj = new Sql();
                $sql = $obj->name('network')->insert(array(
                    'name' => $network
                ));
                $Db = new Db();
                $res = $Db->exec($sql);
                if ($res === false) {
                    die("数据库配置安装成功，但网卡配置抓取失败，请Linux执行【sar -n DEV 1 1】命令，执行抓取网卡名称到：niu_network 表中");
                }
                $sql = file_get_contents(APP_PATH.'table_create.sql');
                $Db = new Db();
                // 月为单位
                $sql2 = str_replace('{}', date('Ym'), $sql);
                $res = $Db->exec($sql2);
                if ($res === false) {
                    die("数据库配置安装成功，统计表生成失败");
                }
            }
        }
        if ($num < 3) {
            die("数据库配置安装成功，但网卡配置抓取失败，请Linux执行【sar -n DEV 1 1】命令，执行抓取网卡名称到：niu_network 表中");
        } else {
            echo "success";
        }
    } catch (PDOException $e) {
        $err = $e->getMessage();
    } catch (Exception $e) {
        $err = $e->getMessage();
    }
    echo $err;
    exit;
}
?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>安装<?php echo $sitename; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1">
    <meta name="renderer" content="webkit">
    <style>
        body{background:#fff;margin:0;padding:0;line-height:1.5}body,input,button{font-family:'Open Sans',sans-serif;font-size:16px;color:#7e96b3}.container{max-width:515px;margin:0 auto;padding:20px;text-align:center}a{color:#18bc9c;text-decoration:none}a:hover{text-decoration:underline}h1{margin-top:0;margin-bottom:10px}h2{font-size:28px;font-weight:normal;color:#3c5675;margin-bottom:0}form{margin-top:40px}.form-group{margin-bottom:20px}.form-group .form-field:first-child input{border-top-left-radius:4px;border-top-right-radius:4px}.form-group .form-field:last-child input{border-bottom-left-radius:4px;border-bottom-right-radius:4px}.form-field input{background:#edf2f7;margin:0 0 1px;border:2px solid transparent;transition:background .2s,border-color .2s,color .2s;width:100%;padding:15px 15px 15px 180px;box-sizing:border-box}.form-field input:focus{border-color:#18bc9c;background:#fff;color:#444;outline:0}.form-field label{float:left;width:160px;text-align:right;margin-right:-160px;position:relative;margin-top:18px;font-size:14px;pointer-events:none;opacity:.7}button,.btn{background:#3c5675;color:#fff;border:0;font-weight:bold;border-radius:4px;cursor:pointer;padding:15px 30px;-webkit-appearance:none}button[disabled]{opacity:.5}#error,.error,#success,.success{background:#d83e3e;color:#fff;padding:15px 20px;border-radius:4px;margin-bottom:20px}#success{background:#3c5675}#error a,.error a{color:white;text-decoration:underline}
    </style>
</head>

<body>
<div class="container">
    <h2>安装 <?php echo $sitename; ?></h2>
    <div>

        <p>若你在安装中遇到麻烦可点击 <a
                    href="<?php echo $link['forum']; ?>" target="_blank">交流社区</a> <a
                    href="<?php echo $link['qqun']; ?>">QQ交流群</a></p>
        <!--<p><?php echo $sitename; ?>还支持在命令行php think install一键安装</p>-->

        <form method="post">
            <?php if ($errInfo): ?>
                <div class="error">
                    <?php echo $errInfo; ?>
                </div>
            <?php endif; ?>
            <div id="error" style="display:none"></div>
            <div id="success" style="display:none"></div>

            <div class="form-group">
                <div class="form-field">
                    <label>MySQL 数据库地址</label>
                    <input type="text" name="mysqlHost" value="127.0.0.1">
                </div>

                <div class="form-field">
                    <label>MySQL 数据库名</label>
                    <input type="text" name="mysqlDatabase" value="niuniu_monitor">
                </div>

                <div class="form-field">
                    <label>MySQL 用户名</label>
                    <input type="text" name="mysqlUsername" value="root">
                </div>

                <div class="form-field">
                    <label>MySQL 密码</label>
                    <input type="text" name="mysqlPassword" value="root" >
                </div>
            </div>
            <div class="form-group">
                <div class="form-field">
                    <label>登录账号-默认</label>
                    <input type="text" name="username" value="admin" />
                </div>
                <div class="form-field">
                    <label>登录密码-默认</label>
                    <input type="text" name="userpwd" value="admin" />
                </div>
            </div>

            <div class="form-buttons">
                <button type="submit" id="go" <?php echo $errInfo ? 'disabled' : '' ?>>点击安装</button>
            </div>
        </form>
        <script src="public/jquery.min.js"></script>
        <script charset="UTF-8">
            $(function () {
                $('form :input:first').select();
                $('form').on('submit', function (e) {
                    e.preventDefault();
                    var $button = $(this).find('button')
                        .text('安装中...')
                        .prop('disabled', true);

                    $.post('', $(this).serialize())
                        .done(function (ret) {
                            if (ret === 'success') {
                                $('#error').hide();
                                $("#success").text("安装成功！开始你的<?php echo $sitename; ?>之旅吧！").show();
                                $('<a class="btn" href="login.php">前往登录</a>').insertAfter($button);
                                $button.remove();
                                localStorage.setItem("fastep", "installed");
                            } else {
                                $('#error').show().html(ret);
                                $button.prop('disabled', false).text('点击安装');
                                $("html,body").animate({
                                    scrollTop: 0
                                }, 500);
                            }
                        })
                        .fail(function (data) {
                            $('#error').show().text('发生错误:\n\n' + data.responseText);
                            $button.prop('disabled', false).text('点击安装');
                            $("html,body").animate({
                                scrollTop: 0
                            }, 500);
                        });

                    return false;
                });
            });
        </script>
    </div>
</div>
</body>
</html>