<?php
// +----------------------------------------------------------------------
// | 规则配置
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

// 验证安装
require_once __DIR__.DIRECTORY_SEPARATOR.'vendor'.DIRECTORY_SEPARATOR.'is_install.php';
// 验证登录
require_once __DIR__.DIRECTORY_SEPARATOR.'vendor'.DIRECTORY_SEPARATOR.'is_login.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>小黄牛监控系统 - 警告规则配置</title>
  <link rel="stylesheet" href="public/layui/css/layui.css" media="all">
</head>

<body>

<div class="layui-fluid">
  <div class="layui-card">
    <div class="layui-card-header"> 
      <i style="position: initial;padding-right:10px" class="layui-icon layui-icon-prev" onclick="self.location='index.php';"></i> 
      新建警告规则
    </div>


    <div class="layui-card-body layui-col-md3" style="padding: 15px;">
      <form class="layui-form" action="" lay-filter="component-form-group">
        <div class="layui-form-item">
          <label class="layui-form-label">类型</label>
          <div class="layui-input-block">
            <select name="type">
              <option value="1">MySql</option>
              <option value="2">PHP-FPM</option>
              <option value="3">出口流量</option>
              <option value="4">入口流量</option>
            </select> 
          </div>
        </div>
        <div class="layui-form-item">
          <label class="layui-form-label">警告线</label>
          <div class="layui-input-block">
            <input type="text" name="max" class="layui-input">
          </div>
        </div>
        <div class="layui-form-item">
          <label class="layui-form-label">自定义通知</label>
          <div class="layui-input-block">
            <textarea name="des" class="layui-textarea "></textarea>
          </div>
        </div>
        <div class="layui-form-item">
          <label class="layui-form-label">手机号</label>
          <div class="layui-input-block">
            <input type="text" name="phone" class="layui-input">
          </div>
        </div>
        <div class="layui-form-item">
          <label class="layui-form-label">邮箱</label>
          <div class="layui-input-block">
            <input type="text" name="email" class="layui-input">
          </div>
        </div>
        <div class="layui-form-item layui-layout-admin">
          <div class="layui-input-block">
            <button class="layui-btn layui-btn-sm layui-btn-normal" lay-submit="" lay-filter="component-form-check">立即送出</button>
            <button type="reset" class="layui-btn layui-btn-sm layui-btn-primary">重置</button>
          </div>
        </div>
      </form>
    </div>

    <div class="layui-card-body layui-col-md9" style="padding: 15px;">
      <table class="layui-hide" id="junTable" lay-filter="junTable"></table>
    </div>

    <script type="text/html" id="barDemo">
      <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">刪除</a>
    </script>

  </div>
</div>



</body>
</html>

<script src="public/layui/layui.js"></script>
<script src="public/jquery.min.js"></script>
<script>
//Demo
layui.use(['form', 'table', 'element'], function(){
  var $ = layui.$
  ,layer = layui.layer
  ,form = layui.form
  ,table = layui.table
  ,element = layui.element;

  table.render({
    elem: '#junTable'
    ,url: 'php/rule_list.php'
    ,cols: [[
      {field:'type', width:90, title: '类型'}
      ,{field:'max', width:90, title: '峰值'}
      ,{field:'des', title: '自定义通知内容'}
      ,{field:'phone', width:150, title: '手机号'}
      ,{field:'email', width:220, title: '邮箱'}
      ,{field:'create_time', width:180, title: '日期'}
      ,{fixed: 'right', width:70, title:'操作', toolbar: '#barDemo'}
    ]]
    ,page: false
  });
  //操作按钮工具事件监听
  table.on('tool(junTable)', function(obj){
      var data = obj.data;
      if(obj.event === 'del') {
        layer.confirm('确认删除？', {
          btn: ['确认','取消']
        }, function(){
          deletedata(data.id);
        }, function(){
          // 取消刪除不做操作
        });
      }
  });
  function deletedata(id){
    $.ajax({
        url: 'php/rule_delete.php',
        type: 'post',
        data: {
          id:id
        },
        success: function (res) {
            var array = eval('('+res+')');
            if (array.code=='00') {
                layer.msg(array.msg, {icon: 1});
                setTimeout(function(){
                  window.location.reload();
                }, 800);
            } else {
                layer.msg(array.msg, {icon: 2});
            }
        }
    });
  }
  /* 监听送出 */
  form.on('submit(component-form-check)', function(data){
    var load = layer.load(1, {
      shade: [0.1,'#fff'] //0.1透明度的白色背景
    });
    $.ajax({
      type: 'post',
      data: data.field,
      url: "php/rule_create.php",
      success: function(data) {
          layer.close(load);
          var array = eval('('+data+')');
          if (array['code'] == '00') {
              layer.msg(array['msg'], {icon: 1});
              setTimeout(function(){
                window.location.reload();
              }, 800);
          } else {
              layer.msg(array['msg'], {icon: 2});
          }
      }
    });
    return false;
  });
});
</script>