<?php
// +----------------------------------------------------------------------
// Db实例
// +----------------------------------------------------------------------
// Copyright (c) 2020 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
class Db {
     /**
     * PDO链接实例
     */
    private $_PDO;

    /**
     * 初始化PDO链接
     */
    public function __construct() {
        $config = include dirname(__DIR__).DIRECTORY_SEPARATOR.'database.php';
        try {
            $dns = $config['type'].':host='.$config['hostname'].';port='.$config['hostport'];
            $PDO = new PDO($dns, $config['username'], $config['password'], array(
                PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
                PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES ".$config['charset']
            ));
            $PDO->query("USE `".$config['database']."`");

            $this->_PDO =$PDO;
        } catch(PDOException $e) {
            die ('数据库连接失败，错误信息：'.$e->getMessage());
        }
    }

    /**
     * 执行原生查询语句(终结函数)
     * @param string $sql 需要执行的sql语句
     */
    public function query($sql) {
        # 执行SQL语句
        return $this->_PDO->query($sql);
    }

    /**
     * 执行原生查询语句外的其他SQL语句(终结函数)
     * @param string $sql 需要执行的sql语句
     */
    public function exec($sql) {
        # 执行SQL语句
        return $this->_PDO->exec($sql);
    }
}