<?php
// +----------------------------------------------------------------------
// | 函数库
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

// session 操作
function session($key, $val=null) {
    isset($_SESSION) || session_start();

    if (!is_null($val)) {
        $_SESSION[$key] = $val;
        return true;
    }
    return $_SESSION[$key];
}
// 返回JSON
function Json($code, $msg, $data=array()) {
	die(json_encode(array(
		'code' => "{$code}",
        'msg'  => $msg,
        'data' => $data
	)));
}
//layui的列表
function Jsonlist($code, $msg, $count, $list=array()) {
    return json_encode(array(
        'code' => "$code",
        'msg' => $msg,
        'count' => $count,
        'data' => $list
    ));
}
// 查询
function select($Db, $sql) {
    $res = $Db->query($sql);
    if ($res === false) return false;
    $list = $res->fetchAll(\PDO::FETCH_NAMED);
    if (empty($list)) return array();
    return $list;
}
// HTTPS
function is_https() {
    if ( !empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) !== 'off') {
        return 'https://';
    } elseif ( isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https' ) {
        return 'https://';
    } elseif ( !empty($_SERVER['HTTP_FRONT_END_HTTPS']) && strtolower($_SERVER['HTTP_FRONT_END_HTTPS']) !== 'off') {
        return 'https://';
    }
    return 'http://';
}
// 发包
function https_request($url, $data = null, $time=10){
    # 初始化一个cURL会话
    $curl = curl_init();  
    //设置请求选项, 包括具体的url
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);  //禁用后cURL将终止从服务端进行验证
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
    curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, $time);
    if (!empty($data)){
        curl_setopt($curl, CURLOPT_POST, 1);  //设置为post请求类型
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);  //设置具体的post数据
    }
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);        
    $response = curl_exec($curl);  //执行一个cURL会话并且获取相关回复
    curl_close($curl);  //释放cURL句柄,关闭一个cURL会话
    return $response;
}